export declare function useBase(alphaOrBase: string | number): {
    encode: (source: number[] | Uint8Array, padToLength?: number) => string;
    decode: (source: string, padToLength?: number) => Uint8Array;
};
export declare const encodeBase16: (source: number[] | Uint8Array, padToLength?: number) => string, decodeBase16: (source: string, padToLength?: number) => Uint8Array;
export declare const encodeBase32: (source: number[] | Uint8Array, padToLength?: number) => string, decodeBase32: (source: string, padToLength?: number) => Uint8Array;
export declare const encodeBase58: (source: number[] | Uint8Array, padToLength?: number) => string, decodeBase58: (source: string, padToLength?: number) => Uint8Array;
export declare const encodeBase62: (source: number[] | Uint8Array, padToLength?: number) => string, decodeBase62: (source: string, padToLength?: number) => Uint8Array;
