import { Json } from "../common/types.js";
export declare class FileStorage {
    private store;
    private dirname;
    private fileKeys?;
    constructor(basePath?: string);
    setItem(key: string, value: Json): void;
    getItem(key: string): Json | null;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}
