export declare function stringToBoolean(value?: string, defaultValue?: boolean): boolean;
export declare function stringToInteger(value?: string, defaultValue?: number): number;
export declare function stringToFloat(value?: string, defaultValue?: number): number;
export declare function valueToBoolean(value?: any, defaultValue?: boolean): boolean;
export declare function valueToInteger(value?: any, defaultValue?: number): number;
export declare function valueToFloat(value?: any, defaultValue?: number): number;
export declare function valueToString(value?: any, defaultValue?: string): string;
export declare const toFloat: typeof valueToFloat;
export declare const toInt: typeof valueToInteger;
export declare const toString: typeof valueToString;
export declare const toBool: typeof valueToBoolean;
declare type EntryProcessor = (key: string, value: any) => any;
export declare function stringify(obj: any, replacer?: EntryProcessor | null, spaces?: string | number | null, cycleReplacer?: EntryProcessor): string;
export declare type RenderMessagesOptions = {
    trace?: boolean;
    pretty?: boolean;
};
export declare function formatMessages(messages: any[], opt?: RenderMessagesOptions): any[];
export declare function renderMessages(messages: any[], opt?: RenderMessagesOptions): string;
export {};
